# spec originally for RHEL from: http://www.natemccallum.com/uploads/rpms/bzr/

Name:           bzrtools
Version:        1.2.0
Release:        %mkrel 1
Summary:        A collection of utilities and plugins for Bazaar-NG

Group:          Development/Other
License:        GPL
URL:            http://bazaar-vcs.org/BzrTools
Source0:        https://launchpad.net/%{name}/stable/%{version}/+download/%{name}-%{version}.tar.gz
Source1:        https://launchpad.net/%{name}/stable/%{version}/+download/%{name}-%{version}.tar.gz.sig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)

BuildArch:      noarch
BuildRequires:  python-devel bzr
Requires:       python >= 2.4
Requires:       bzr >= 1.0
Requires:       patch >= 2.5.9 rsync graphviz librsvg python-paramiko
Requires:       python-pybaz

%description
BzrTools is a collection of plugins for Bazaar-NG (bzr).  Among the included
plugins are:
* push - uses rsync to push local changes to a remote server
* annotate - prints a file annotated with the revision next to each line
* baz-import - (Requres PyBaz) import an arch archive losslessly into bzr
* shelve/unshelve - allows you to undo some changes, commit, and restore
* clean-tree - remove unknown, ignored-junk, or unversioned files from the tree
* graph-ancestry - use dot to produce banch ancestry graphs
* shell - a bzr command interpreter with command completion
* patch - apply a patch to your tree from a file or URL


%prep
%setup -q -n %{name}


%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT --record=INSTALLED_FILES
# remove shebangs from all files as none should be executable scripts
sed -e '/^#!\//,1 d' -i $RPM_BUILD_ROOT/%py_puresitedir/bzrlib/plugins/bzrtools/*.py


%clean
rm -rf $RPM_BUILD_ROOT


%files -f INSTALLED_FILES
%defattr(-,root,root,-)
%doc README NEWS COPYING


%changelog
* Mon Mar 03 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 1.2.0-1mdv2008.1
+ Revision: 177977
- requires bzr >= 1.0
- new version 1.2.0

* Tue Jan 15 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 1.1.0-1mdv2008.1
+ Revision: 152397
- new version 1.1.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 119743
- New release 1.0.0

* Fri Nov 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.92.1-1mdv2008.1
+ Revision: 107069
- Delete
- Fix

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.91.0-1mdv2008.1
+ Revision: 97326
- New release 0.91.0

* Mon Sep 03 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.90.0-1mdv2008.0
+ Revision: 78570
- new version 0.90.0

* Tue Jul 17 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.18.0-1mdv2008.0
+ Revision: 53029
- new version 0.18.0
- changed group to Development/Other

* Tue Jun 12 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.17.0-1mdv2008.0
+ Revision: 38306
- updated to 0.17.0

* Mon May 28 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.16.1-1mdv2008.0
+ Revision: 31927
- upgrade to 0.16.1
- ported package to Mandriva Linux
- Import bzrtools



* Wed May 24 2006 Shahms E. King <shahms@shahms.com> 0.8.1-4
- Require bzr >= 0.8, rather than only 0.8

* Tue May 16 2006 Shahms E. King <shahms@shahms.com> 0.8.1-3
- BuildRequires python, rather than python-devel

* Mon May 15 2006 Shahms E. King <shahms@shahms.com> 0.8.1-2
- Fix rpmlint non-executable-script errors

* Fri May 12 2006 Shahms E. King <shahms@shahms.com> 0.8.1-1
- Add COPYING to %%doc
- Update to new upstream version
- Require bzr 0.8

* Wed May 10 2006 Shahms E. King <shahms@shahms.com> 0.8-1
- Update to new upstream version

* Fri Apr 14 2006 Shahms E. King <shahms@shahms.com> 0.7-1
- Initial package
